curl --request GET \
--url https://api.gospott.com/vacancies \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gospott.com/vacancies"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gospott.com/vacancies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"restricted": true,
"client": {
"viewType": "vacancyClient",
"client": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"industry": "Accessible Architecture and Design",
"size": "1 employee",
"domain": "<string>",
"logoUrl": "<string>"
}
},
"name": {
"viewType": "vacancyName",
"name": "<string>"
},
"description": {
"viewType": "vacancyDescription",
"description": "<string>"
},
"stage": {
"viewType": "vacancyStage",
"stage": {
"id": "<string>",
"order": 123,
"name": "<string>",
"colorHex": "<string>",
"isOpen": true
}
},
"createdAt": {
"viewType": "vacancyCreatedAt",
"createdAt": "2023-11-07T05:31:56Z"
},
"startAt": {
"viewType": "vacancyStartAt",
"startAt": "2023-11-07T05:31:56Z"
},
"endAt": {
"viewType": "vacancyEndAt",
"endAt": "2023-11-07T05:31:56Z"
},
"salaryRange": {
"viewType": "vacancySalaryRange",
"salaryRange": {
"min": 123,
"max": 123,
"currency": "AED"
}
},
"location": {
"viewType": "vacancyLocation",
"location": {
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"region": "<string>",
"state": "<string>",
"country": "<string>",
"countryCode": "AF",
"rawCityCountry": "<string>",
"latitude": 123,
"longitude": 123,
"formattedAddress": "<string>",
"type": "primary_home"
},
"locations": [
{
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"region": "<string>",
"state": "<string>",
"country": "<string>",
"countryCode": "AF",
"rawCityCountry": "<string>",
"latitude": 123,
"longitude": 123,
"formattedAddress": "<string>",
"type": "primary_home"
}
]
},
"languages": {
"viewType": "vacancyLanguages",
"languages": [
{
"language": "Afrikaans",
"fluency": "Elementary proficiency"
}
]
},
"team": {
"viewType": "vacancyTeam",
"team": [
{
"userId": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"avatarUrl": "<string>",
"deactivatedAt": "2023-11-07T05:31:56Z"
}
]
},
"assignedTeam": {
"id": "<string>"
},
"employmentType": {
"viewType": "vacancyEmploymentType",
"employmentType": "fullTime"
},
"locationType": {
"viewType": "vacancyLocationType",
"locationType": "remote"
},
"clientTeam": {
"viewType": "vacancyClientTeam",
"clientTeam": [
{
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"middleName": "<string>",
"secondLastName": "<string>",
"avatarUrl": "<string>",
"candidateId": "<string>",
"companyId": "<string>",
"companyName": "<string>",
"companyLogoUrl": "<string>",
"jobTitle": "<string>",
"department": "<string>",
"emails": [
{
"email": "jsmith@example.com",
"purpose": "personal",
"isPrimary": true
}
],
"phoneNumbers": [
{
"phoneNumber": "<string>",
"purpose": "personal",
"isPrimary": true
}
]
}
]
},
"scorecard": {
"viewType": "vacancyScorecard",
"scorecards": [
{
"groupName": "<string>",
"attributes": [
{
"attribute": "<string>"
}
]
}
]
},
"nextTaskDue": {
"viewType": "vacancyNextTaskDue",
"nextTaskDue": {
"id": "<string>",
"content": "<string>",
"dueDate": "2023-11-07T05:31:56Z"
}
},
"jobBoards": [
{
"id": "<string>"
}
]
}
],
"pageInfo": {
"nextCursor": "<string>",
"hasNextPage": true
}
}{
"status": 0,
"message": "Limit must be between 1 and 50",
"requestId": "<string>",
"statusCode": 400,
"error": "Bad Request"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}List jobs
Returns a list of jobs. Uses cursor pagination.
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Query Parameters
Number of jobs to return per page (min: 1, max: 50, default: 25).
1 <= x <= 5025
Base64-encoded cursor for pagination. Use the nextCursor value from a previous response to fetch the next page. Omit for the first page.
"eyJtb2RpZmllZEF0IjoiMjAyNC0xMS0wNlQxMDozMDowMC4wMDBaIiwiaWQiOiJ2YWNhbmN5LTEyMyJ9"
Filter jobs by sync watermark on or after this date. Useful for incremental synchronization. Defaults to beginning of time if not provided.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$"2024-11-01T00:00:00.000Z"
Filter jobs by sync watermark on or before this date. Useful for bounded synchronization snapshots. If omitted, no upper bound is applied.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$"2024-11-30T23:59:59.999Z"
Filter jobs by company IDs.
["company-123", "company-456"]
Filter jobs by candidate email addresses. Returns jobs that have at least one application from a candidate with a matching email.
1 - 25 elements^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$["candidate@example.com"]
Filter jobs by pipeline stage ID. Returns jobs currently in any of the given stages. Available stages can be retrieved via GET /pipeline/vacancies/stages.
1 - 25 elements1["550e8400-e29b-41d4-a716-446655440000"]
Optional related data to include in the response. Available options: jobBoards.
jobBoards ["jobBoards"]
Was this page helpful?